////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Elektrobit Automotive GmbH
// Alle Rechte vorbehalten. All Rights Reserved.
//
// Information contained herein is subject to change without notice.
// Elektrobit retains ownership and all other rights in the software and each
// component thereof.
// Any reproduction of the software or components thereof without the prior
// written permission of Elektrobit is prohibited.
////////////////////////////////////////////////////////////////////////////////

#include "CustomEffectWidget.h"

gtf::widgetset::AbstractWidget* createCustomEffect(gtf::widgetset::WidgetContext const& context_, gtf::widgetset::WidgetModel& model_)
{
    return new CustomEffectWidget(model_, context_);
}

void destroyCustomEffect(gtf::widgetset::AbstractWidget* widget_)
{
    delete static_cast<CustomEffectWidget*>(widget_);
}

using namespace gtf;

CustomEffectWidget::CustomEffectWidget(gtf::widgetset::WidgetModel&, gtf::widgetset::WidgetContext const&)
{
}

CustomEffectWidget::~CustomEffectWidget()
{
}

void CustomEffectWidget::init(gtf::widgetset::WidgetContext const &)
{
}

void CustomEffectWidget::prepare(gtf::widgetset::WidgetContext const &)
{
}

void CustomEffectWidget::cleanup(gtf::widgetset::WidgetContext const &)
{
}
