////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Elektrobit Automotive GmbH
// Alle Rechte vorbehalten. All Rights Reserved.
//
// Information contained herein is subject to change without notice.
// Elektrobit retains ownership and all other rights in the software and each
// component thereof.
// Any reproduction of the software or components thereof without the prior
// written permission of Elektrobit is prohibited.
////////////////////////////////////////////////////////////////////////////////

#include "CrepuscularEffectWidget.h"

gtf::widgetset::AbstractWidget* createCrepuscularWidget(gtf::widgetset::WidgetContext const& context_, gtf::widgetset::WidgetModel& model_)
{
    return new CrepuscularWidget(model_, context_);
}

void destroyCrepuscularWidget(gtf::widgetset::AbstractWidget* widget_)
{
    delete static_cast<CrepuscularWidget*>(widget_);
}

using namespace gtf;

CrepuscularWidget::CrepuscularWidget(gtf::widgetset::WidgetModel&, gtf::widgetset::WidgetContext const&)
{
}

CrepuscularWidget::~CrepuscularWidget()
{
}

void CrepuscularWidget::init(gtf::widgetset::WidgetContext const &)
{
}

void CrepuscularWidget::prepare(gtf::widgetset::WidgetContext const &)
{
}

void CrepuscularWidget::cleanup(gtf::widgetset::WidgetContext const &)
{
}
